> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finventi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get transactions list

> Retrieves payment summaries with cursor-based pagination and filtering options.



## OpenAPI

````yaml get /v3/payments
openapi: 3.1.0
info:
  description: >
    # General info

    ## Base API URL for environments:

    * TEST: https://api.pgw-sandbox.finventi.com

    * PROD: https://api.pgw.finventi.com


    # Authentication

    <b>NOTE:</b> IP whitelisting is mandatory to gain access to our APIs in both
    TEST and PROD environments. To register your IPs, please contact
    `connectors-support@inventi.lt`.


    Our API uses OAuth 2.0 for authentication. To access the API, you need to
    obtain a bearer token from the authorization server.


    ### Obtain a Bearer Token

    To get a bearer token, use the following cURL command:


    ```

    curl -X POST \

    --location
    '<auth-server-url>/realms/<client-name>/protocol/openid-connect/token' \

    --header 'Content-Type: application/x-www-form-urlencoded' \

    --data-urlencode 'grant_type=client_credentials' \

    --data-urlencode 'client_id=api-sepa-gateway-client' \

    --data-urlencode 'client_secret=<client-secret>'

    ```


    where:


    `<auth-server-url>` is either `https://auth.sandbox.finventi.com/` (TEST) or
    `https://auth.finventi.com/` (PROD).


    `<client-name>` is a value of TenantID that was assigned by INVENTI team
    during initial configuration and could be found in Configuration Matrix that
    was shared to your representative.


    `<client-secret>` is a value that can be obtained by logging into SEPA
    Dashboard UI and going to <i>User Management</i> -> <i>Clients</i> ->
    `api-sepa-gateway-client` -> <i>Credentials</i> -> <i>Client Secret</i>.


    <b>NOTE:</b> The token is valid for 45 minutes.


    ### Include the Bearer Token in Requests

    Include the obtained token in the `Authorization` header of your API
    requests with the `Bearer` prefix:


    ```

    Authorization: Bearer <bearer-token>

    ```


    ### Example Request:

    ```

    curl --location --request POST
    'https://api.pgw-sandbox.finventi.com/gateway/createSepaPmt' \

    --header 'Authorization: Bearer <bearer-token>' \

    ```


    # Idempotency

    In our API, we support idempotency for certain endpoints to ensure that
    repeated requests have the same effect as a single request.

    Idempotent endpoints allow you to safely retry requests without worrying
    about unintended side effects, such as duplicate resource creation or
    modification. \


    To achieve idempotency, you need to include the **Idempotency-Key** header
    in your requests to the supported endpoints.

    If the provided idempotency key corresponds to an existing database object,
    the response will retrieve the data of the existing object instead of
    creating a new one.

    ## Idempotency-Key Header

    The **Idempotency-Key** header is used to uniquely identify a request and
    associate it with a specific operation. While the header value can be any
    string, we recommend using a UUID (Universally Unique Identifier) for
    uniqueness within the scope of the endpoint. This allows you to easily
    generate a unique key for each request.

    ### Example Request

    ```

    curl --location --request POST
    'https://api.pgw-sandbox.finventi.com/gateway/createSepaPmt' \

    --header 'Idempotency-Key: 123e4567-e89b-12d3-a456-426655440000' \

    ```

    ## Supported endpoints:

    * /gateway/createSepaPmt


    # Webhooks

    ## Signature Verification


    ### Introduction

    To ensure the authenticity and integrity of webhooks sent from our system,
    each webhook includes a digital signature. This signature allows the
    receiver to verify that the payload has not been altered during
    transmission. Verifying the signature confirms the webhook's origin and
    ensures its data integrity.


    Each webhook includes the signature in the `finventi-signature-N` HTTP
    header, where `N` represents the version of the signature. The current
    version is `1` (`finventi-signature-1`). When public keys are rotated, new
    header versions are issued, ensuring backward compatibility for clients
    until their code is updated.


    The signature should be verified using the RSASSA-PKCS1-v1.5 algorithm and
    the appropriate public key, based on the environment.


    ### Environment Public Keys

    Use the corresponding public key based on the environment in which you are
    verifying the webhook (current version - `1`)

    #### Test Environment Public Key

    ```text

    -----BEGIN PUBLIC KEY-----

    MIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAvoc7GrFbduCeSVxFPJ3l

    a0NRa0caUqBddQAOUxuHTOuShOvdKbxRYc5u1vb9YNLJWjx4XSHESp8Q7oocqXt8

    +weBFsk/kAtJ4zjbYPY1PvAOLe+WObdxxZtfwzpwVxbtP6GQk5aUi2HbITe3EDf/

    7WEmvnAcWm++Mo6+GSh2Ky1t6o4htrx1lH2gYVg0iRHx1W9lLXjMl/5oLi1C6dtx

    TnBmXMlN/NT5YYU4lVlXQBZzS7a8ZgwosfW+v1uCimzbGcWytmmcFISjSNqkYaeg

    IXDYwKLwlsWtm975ln6UL20KcSt7ia+Lpuv7cdxJlOY95y0ds/PCw1x0HEPxU+44

    swIDAQAB

    -----END PUBLIC KEY-----

    ```


    #### Production Environment Public Key

    ```text

    -----BEGIN PUBLIC KEY-----

    MIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEA1pTRk8oUoGAAgXE8Gni8

    xvG2MJz6uYkZcNlXhPTrsxfqD4W5uDZOhy7APLz47Plcv+XL45kO0BFgjYHDRASx

    IIb6K5+YVyf9p1biLdZgf047wxwuC65bT6ddhuSX9FrMEtgPvghltSSfTZjdwVck

    QNE2JEV7vcIfq3ke5US+SP+6AHIcPyXypslp50CtO8wpZG+pz7rSdOoiRFTMhzVZ

    efDetRcnFv6DoAdapOiNVG9MBPqnE+BT5mnAlgF6V551ZJFOMhFvm/cLtP3Gj2a9

    /zNeCT1ZXHIuqxwrBUy/R8RSKJJIBWUbJEHF+pcPite+MgJm529Bt6K4mGCv1Nzv

    GwIDAQAB

    -----END PUBLIC KEY-----

    ```


    ### Additional Headers


    Each webhook includes the following HTTP headers to assist in verifying the
    signature:

    * `finventi-signature-N`: Each webhook contains the signature.

    * `finventi-signature-timestamp`: A UNIX timestamp (UTC) indicating when the
    webhook was sent.

    * `finventi-receiver-tenant-id`: The tenant ID for the webhook recipient.


    These headers must be used during the signature verification process to
    ensure consistency.


    ### Signature Verification Process

    To verify the authenticity of the webhook, the following steps must be
    performed:

    1. Concatenate the following components in the specified order, separated by
    periods (.):
      * The request body
      * The tenant ID from `finventi-receiver-tenant-id`
      * The timestamp from `finventi-signature-timestamp`

    Example:

    ```text

    {"trx_id":10300003,"end_to_end_id":"NOTPROVIDED","type":"Payment","direction":"OUTBOUND","amount":1,"currency":"EUR","status":"Created","updated_at":"2024-09-20T13:46:32.092083Z"}.demo1.1726839992

    ```

    2. Hash the concatenated string using the SHA-256 algorithm.

    3. Base64 decode the received finventi-signature-v header to obtain the
    signature.

    4. Verify the signature using
    [RSASSA-PKCS1-v1_5](https://datatracker.ietf.org/doc/html/rfc8017#section-8.2.2)
    with the hashed data, decoded signature, and the latest public key.


    ### Code Example (Node.js)

    ```js

    const crypto = require('crypto');


    const signatureBase64 =
    "GtZFu1uNFqOir8eDkar7+d/S+FtwQpk4mPGCuByKhJG29K1u7ynbVhkrDF8c3TqyX9wYHxpOa94FsgW2I4CnLh+B24LqL7WVSuACOL6GoSjfKeXP00NSp0ps8QYbVaJ8Ys6E4FePhp+7piAACkIP5vZ91JCLQ8lz36KRJlOnByQMTBH6j924n1GwZiZfbMojOGmMhLA0h8jWgTIeuvYPswiZXZXp0vpqJfWmdoqiU1ldoausTNFyoVwFuuzkxPv1VHvWeEeWirObUv3wNpyAnLnqomDgR7pe/9dDV0bkq5r0JkRhnbPCEFE/zzHeDgZ957hv8Oq3wJkGJarZ0NvPLw=="

    const signature = Buffer.from(signatureBase64, 'base64');


    const publicKey = `-----BEGIN PUBLIC KEY-----

    MIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAvoc7GrFbduCeSVxFPJ3l

    a0NRa0caUqBddQAOUxuHTOuShOvdKbxRYc5u1vb9YNLJWjx4XSHESp8Q7oocqXt8

    +weBFsk/kAtJ4zjbYPY1PvAOLe+WObdxxZtfwzpwVxbtP6GQk5aUi2HbITe3EDf/

    7WEmvnAcWm++Mo6+GSh2Ky1t6o4htrx1lH2gYVg0iRHx1W9lLXjMl/5oLi1C6dtx

    TnBmXMlN/NT5YYU4lVlXQBZzS7a8ZgwosfW+v1uCimzbGcWytmmcFISjSNqkYaeg

    IXDYwKLwlsWtm975ln6UL20KcSt7ia+Lpuv7cdxJlOY95y0ds/PCw1x0HEPxU+44

    swIDAQAB

    -----END PUBLIC KEY-----`;


    const body =
    `{"trx_id":10300003,"end_to_end_id":"NOTPROVIDED","type":"Payment","direction":"OUTBOUND","amount":1,"currency":"EUR","status":"Created","updated_at":"2024-09-20T13:46:32.092083Z"}`;

    const tenantId = "demo1"

    const timestamp = "1726839992";

    const dataToVerify = Buffer.from(body + '.' + tenantId + '.' + timestamp);


    const isVerified = crypto.verify(

    "sha256",

    dataToVerify,

    {
      key: publicKey,
      padding: crypto.constants.RSA_PKCS1_PADDING,
    },

    signature

    );

    console.log("Verification successful:", isVerified);

    ```

    ## Payment status change webhook

    Payment status changes can send notifications using webhook to clients
    provided HTTP POST endpoint.


    Notifications are sent when payment/payment return status changes to one of
    the following statuses: Created, To sign, Signed, Accepted, Completed, Some
    problems, Cancelled, Rejected.


    There is retry mechanism - if an endpoint fails, the notification will be
    repeatedly sent until it is successfully delivered. During this retry
    process, all other notifications will be held back and will only be
    delivered once the initially blocked notification is successfully sent.


    Request is sent in json format.

    ### Request Body Example:

    ```json

    {
      "trx_id": 2018845,
      "end_to_end_id": "2302231660139326",
      "type": "Payment",
      "direction": "OUTBOUND",
      "amount": 10657, (CENTS)
      "currency": "EUR",
      "status": "Created",
      "updated_at": "2023-02-23 07:49:37.524808" (date&time when status was updated),
      "debtor_iban": "LT543210010000000003",
      "creditor_iban": "LT123450010000000004"
    }

    ```


    | Body parameter | Type |

    |-------------------|-------|

    | **trx_id**            | **Integer** |

    | **end_to_end_id**     | **String** |

    | **type**              | **String** classifier.<br>  Available values:
    "Payment", "Payment return", "Payment cancellation", "CSM fees", "Reverse
    payment", "Adjustment" |

    | **direction**         | **Enum**.<br>  Available values: "INBOUND",
    "OUTBOUND" |

    | **amount**            | **Integer** |

    | **currency**          | **String** classifier.<br>  Available values:
    "EUR" |

    | **status**            | **String** classifier.<br>  Available values:
    "Created", "To sign", "Signed", "Accepted", "Completed", "Some problems",
    "Cancelled", "Rejected", "Pending confirmation" |

    | **updated_at**        | **DateTime** |

    | **debtor_iban**       | **String** |

    | **creditor_iban**     | **String** |

     ## Payment cancellation status change webhook
    Payment cancellation status changes can send notifications using webhook to
    clients provided HTTP POST endpoint.


    Notifications are sent when payment cancellation status changes to one of
    the following statuses: CANCELLATION_IN_PROGRESS, CANCELLATION_ACCEPTED,
    CANCELLATION_REJECTED, CANCELLATION_COMPLETED.


    There is retry mechanism - if an endpoint fails, the notification will be
    repeatedly sent until it is successfully delivered. During this retry
    process, all other notifications will be held back and will only be
    delivered once the initially blocked notification is successfully sent.


    Request is sent in json format.

    ### Request Body Example:

    ```json

    {
      "cancellationId": 102,
      "trxId": "2018845",
      "direction": "OUTBOUND",
      "reason": "CUST",
      "status": "CANCELLATION_IN_PROGRESS",
    }

    ```


    | Body parameter | Type |

    |-------------------|-------|

    | **cancellationId**    | **Integer** |

    | **trxId**            | **Integer** |

    | **direction**         | **Enum**.<br>  Available values: "INBOUND",
    "OUTBOUND" |

    | **reason**            | **Enum**.<br>  Available values: "DUPL", "CUST",
    "FRAD", "TECH", "AC03", "AM09", "AGNT", "COVR", "CURR", "CUTA", "DS24",
    "FRNA", "FRTR", "INDM", "SYAD", "UPAY","AC01", "AC04", "AC06", "AC13",
    "AG01", "AG02", "AM01", "AM04", "AM05", "CNOR", "DNOR", "MD01", "MD02",
    "MD07", "MS02", "MS03", "RC01", "RR01", "RR02", "RR04", "SL01", "BE05",
    "FF01", "DT01", "ED05", "PY01" |

    | **status**            | **Enum**.<br>  Available values:
    "CANCELLATION_CREATED", "CANCELLATION_IN_PROGRESS", "RETURNING", "REFUSING",
    "PAYMENT_RETURNED", "CANCELLATION_REFUSED", "PROCESSING_FAILED",
    "CANCELLATION_COMPLETED", "CANCELLATION_REJECTED", "CANCELLATION_ACCEPTED" |


    ### Cancellation request processing statuses

    The table below standardises how you track SEPA cancellation requests from
    start to finish. Each status maps to specific inbound/outbound ISO-20022
    messages, giving you clear, machine-readable checkpoints for monitoring and
    automating your cancellation workflow.


    | Status name | Description |

    | ----------- | ---------------- |

    | CANCELLATION_CREATED | Cancellation request successfully created and
    validated by the Payment Gateway system. |

    | CANCELLATION_IN_PROGRESS | The camt.056 payment cancellation request is
    received from the clearing system and waiting for the User activities. Can
    be accepted and payment will be returned or rejected. |

    | RETURNING | User decides to return the funds. The pacs.004 payment return
    message is sent to the initiator of the payment cancellation request. The
    intermediary cancellation request status, which doesn't allow to execute any
    actions until the final status of the payment return will be set. |

    | REFUSING | User rejects to return the funds. The camt.029 resolution of
    investigation message is sent to the initiator of the payment cancellation
    request. The intermediary cancellation request status, which doesn't allow
    to execute any actions until the final status of the resolution of
    investigation will be set. |

    | PAYMENT_RETURNED | Incoming cancellation: The pacs.004 payment return
    message successfully delivered to the beneficiary bank. This is the final
    processing status, which doest allow to perform any actions with the
    cancellation request. <br> Outgoing cancellation: The payment return
    pacs.004 message, following the sent cancellation request is received from
    the clearing system. The transaction based  on the payment return message is
    successfully created in system, its data linked with the respective
    cancellation request and the original outbound payment. |

    | CANCELLATION_REFUSED | Incoming cancellation: The camt.029 resolution of
    investigation message successfully delivered to the beneficiary bank. This
    is the final processing status, which doest allow to perform any actions
    with the cancellation request. <br> Outgoing cancellation: The resolution of
    investigation camt.029 message, following the sent cancellation request is
    received from the clearing system. The payment return refusal data are
    indicated for the related cancellation request. |

    | PROCESSING_FAILED | The state which indicates that there was an error
    during processing of the response for the cancellation request message. This
    state allows to reprocess the cancellation request after the errors will be
    eliminated. |

    | CANCELLATION_COMPLETED | Incoming cancellation: The payment return
    transaction completed successfully. If failed, the status will be changed to
    the CANCELLATION_IN_PROGRESS and it is possible to reprocess the
    cancellation request. <br> Outgoing cancellation: The pacs.004 payment
    return message following cancellation request is received from the clearing
    system. |

    | CANCELLATION_REJECTED | The payment cancellation request camt.056 message
    was rejected by the clearing system due to errors. The state allows to
    initiated additional cancellation request after the errors will be
    eliminated. |

    | CANCELLATION_ACCEPTED | The payment cancellation request camt.056 message
    successfully delivered to the beneficiary bank. |


    # External code sets
      ## Private identification codes

      | Identification code | Definition |
      |-------------------|-------|
      | **ARNU**    | **Number assigned by a social security agency to identify a non-resident person.** |
      | **CCPT**    | **Number assigned by an authority to identify the passport number of a person.** |
      | **CUST**    | **Number assigned by an issuer to identify a customer.** |
      | **DRLC**    | **Number assigned by an authority to identify a driver's license.** |
      | **EMPL**    | **Number assigned by a registration authority to an employee.** |
      | **NIDN**    | **Number assigned by an authority to identify the national identity number of a person.** |
      | **SOSE**    | **Number assigned by an authority to identify the social security number of a person.** |
      | **TXID**    | **Number assigned by a tax authority to identify a person.** |

      ## Organisation identification codes

      | Identification code | Definition |
      |-------------------|-------|
      | **BANK**    | **Unique and unambiguous assignment made by a specific bank or similar financial institution to identify a relationship as defined between the bank and its client.** |
      | **CBID**    | **A unique identification number assigned by a central bank to identify an organisation.** |
      | **CHID**    | **A unique identification number assigned by a clearing house to identify an organisation.** |
      | **CINC**    | **A unique identification number assigned by a designated authority to a certificate of incorporation and used to identify an organisation.** |
      | **COID**    | **Country authority given organisation identification (e.g., corporate registration number).** |
      | **CUST**    | **Number assigned by an issuer to identify a customer. Number assigned by a party to identify a creditor or debtor relationship.** |
      | **DUNS**    | **A unique identification number provided by Dun & Bradstreet to identify an organisation.** |
      | **EMPL**    | **Number assigned by a registration authority to an employer.** |
      | **GS1G**    | **Global Location Number. A non-significant reference number used to identify legal entities, functional entities, or physical entities according to GS1 numbering scheme rules.The number is used to retrieve detailed information that is linked to it.** |
      | **SREN**    | **The SIREN number is a 9 digit code assigned by INSEE, the French National Institute for Statistics and Economic Studies, to identify an organisation in France.** |
      | **SRET**    | **The SIRET number is a 14 digit code assigned by INSEE, the French National Institute for Statistics and Economic Studies, to identify an organisation unit in France. It consists of the SIREN number, followed by a five digit classification number, to identify the local geographical unit of that entity.** |
      | **TXID**    | **Number assigned by a tax authority to identify an organisation.** |
  title: SEPA Payment Gateway
  version: '1.0'
servers:
  - description: Payment Platform sandbox environment
    url: https://api.pgw-sandbox.finventi.com
security: []
tags:
  - description: >-
      Manage payment investigations. Supports two types: Claim Non-Receipt
      (camt.027) for outbound SEPA CT payments, and Payment Status Request
      (pacs.028) for outbound SEPA INST payments. Inbound investigations
      received from counterparties can be searched, viewed, and resolved via
      :resolve API (camt.029).
    name: Investigations
  - description: >-
      Cancel outbound payments. One endpoint for every cancellation schema —
      SEPA CT/INST, SEPA DD, SWIFT CBPR+ and T2 — with the schema derived from
      the referenced payments.
    name: Payment cancellations
paths:
  /v3/payments:
    get:
      tags:
        - Payments Information
      summary: Search payments
      description: >-
        Returns matching payment summaries, including client-defined metadata,
        using cursor-based pagination. Results are ordered by payment
        identifier, highest first.
      operationId: searchPayments
      parameters:
        - description: >-
            Maximum number of payments returned per page. The default is 10 and
            the maximum is 100.
          in: query
          name: limit
          required: false
          schema:
            description: >-
              Maximum number of payments returned per page. The default is 10
              and the maximum is 100.
            format: int32
            maximum: 100
            minimum: 1
            type: integer
        - description: Cursor token for fetching the next page of payments.
          in: query
          name: nextPageToken
          required: false
          schema:
            description: Cursor token for fetching the next page of payments.
            type: string
        - description: Cursor token for fetching the previous page of payments.
          in: query
          name: previousPageToken
          required: false
          schema:
            description: Cursor token for fetching the previous page of payments.
            type: string
        - description: Filter by payment identifier.
          example: 10300007
          in: query
          name: id
          required: false
          schema:
            description: Filter by payment identifier.
            example: 10300007
            format: int64
            type: integer
        - description: Filter by debtor agent BIC.
          example: LUNALT22XXX
          in: query
          name: debtorBankCode
          required: false
          schema:
            description: Filter by debtor agent BIC.
            example: LUNALT22XXX
            type: string
        - description: Filter by creditor agent BIC.
          example: NOVALT22XXX
          in: query
          name: creditorBankCode
          required: false
          schema:
            description: Filter by creditor agent BIC.
            example: NOVALT22XXX
            type: string
        - description: Filter payments created at or after this UTC timestamp.
          example: '2026-01-01T00:00:00Z'
          in: query
          name: datetimeFrom
          required: false
          schema:
            description: Filter payments created at or after this UTC timestamp.
            example: '2026-01-01T00:00:00Z'
            format: date-time
            type: string
        - description: Filter payments created at or before this UTC timestamp.
          example: '2026-01-31T23:59:59Z'
          in: query
          name: datetimeTo
          required: false
          schema:
            description: Filter payments created at or before this UTC timestamp.
            example: '2026-01-31T23:59:59Z'
            format: date-time
            type: string
        - description: Filter payments with a settlement date on or after this date.
          example: '2026-01-01'
          in: query
          name: settlementDateFrom
          required: false
          schema:
            description: Filter payments with a settlement date on or after this date.
            example: '2026-01-01'
            format: date
            type: string
        - description: Filter payments with a settlement date on or before this date.
          example: '2026-01-31'
          in: query
          name: settlementDateTo
          required: false
          schema:
            description: Filter payments with a settlement date on or before this date.
            example: '2026-01-31'
            format: date
            type: string
        - description: Filter by the end-to-end identifier assigned by the originator.
          in: query
          name: endToEndId
          required: false
          schema:
            description: Filter by the end-to-end identifier assigned by the originator.
            type: string
        - description: Filter by an exact client-defined metadata value.
          in: query
          name: metadata
          required: false
          schema:
            description: Filter by an exact client-defined metadata value.
            type: string
        - description: Filter by one or more payment methods.
          in: query
          name: method
          required: false
          schema:
            description: Filter by one or more payment methods.
            enum:
              - SEPA
              - INST
              - SDD
              - SWIFT
              - T2
            type: string
        - description: Filter by payment direction.
          in: query
          name: direction
          required: false
          schema:
            description: Filter by payment direction.
            enum:
              - OUTBOUND
              - INBOUND
            type: string
        - description: Filter by parent payment identifier.
          in: query
          name: parentPaymentId
          required: false
          schema:
            description: Filter by parent payment identifier.
            format: int64
            type: integer
        - description: Filter by a payment identifier or its parent payment identifier.
          in: query
          name: idOrParentPaymentId
          required: false
          schema:
            description: Filter by a payment identifier or its parent payment identifier.
            format: int64
            type: integer
        - description: >-
            Filter by transaction type identifier. Available identifiers can be
            retrieved from /getTransactionTypes.
          in: query
          name: typeId
          required: false
          schema:
            description: >-
              Filter by transaction type identifier. Available identifiers can
              be retrieved from /getTransactionTypes.
            format: int32
            type: integer
        - description: >-
            Filter by transaction status identifiers. Available identifiers can
            be retrieved from /getTransactionStatuses.
          in: query
          name: statusIds
          required: false
          schema:
            description: >-
              Filter by transaction status identifiers. Available identifiers
              can be retrieved from /getTransactionStatuses.
            items:
              description: >-
                Filter by transaction status identifiers. Available identifiers
                can be retrieved from /getTransactionStatuses.
              format: int32
              type: integer
            type: array
        - description: >-
            ISO 4217 currency used both as a filter and for interpreting all
            amount range parameters. Defaults to EUR for amount interpretation.
          example: EUR
          in: query
          name: currency
          required: false
          schema:
            description: >-
              ISO 4217 currency used both as a filter and for interpreting all
              amount range parameters. Defaults to EUR for amount
              interpretation.
            example: EUR
            pattern: ^[A-Z]{3}$
            type: string
        - description: Minimum payment amount in minor units of currency, inclusive.
          example: 100
          in: query
          name: amountFrom
          required: false
          schema:
            description: Minimum payment amount in minor units of currency, inclusive.
            example: 100
            type: integer
        - description: Maximum payment amount in minor units of currency, inclusive.
          example: 10000
          in: query
          name: amountTo
          required: false
          schema:
            description: Maximum payment amount in minor units of currency, inclusive.
            example: 10000
            type: integer
        - description: >-
            Minimum unaccounted tax amount in minor units of currency,
            inclusive.
          in: query
          name: unaccountedTaxAmountFrom
          required: false
          schema:
            description: >-
              Minimum unaccounted tax amount in minor units of currency,
              inclusive.
            type: integer
        - description: >-
            Maximum unaccounted tax amount in minor units of currency,
            inclusive.
          in: query
          name: unaccountedTaxAmountTo
          required: false
          schema:
            description: >-
              Maximum unaccounted tax amount in minor units of currency,
              inclusive.
            type: integer
        - description: Minimum compensation amount in minor units of currency, inclusive.
          in: query
          name: compensationAmountFrom
          required: false
          schema:
            description: Minimum compensation amount in minor units of currency, inclusive.
            type: integer
        - description: Maximum compensation amount in minor units of currency, inclusive.
          in: query
          name: compensationAmountTo
          required: false
          schema:
            description: Maximum compensation amount in minor units of currency, inclusive.
            type: integer
        - description: Filter by debtor account identifier.
          in: query
          name: debtorAccount
          required: false
          schema:
            description: Filter by debtor account identifier.
            type: string
        - description: Filter by creditor account identifier.
          in: query
          name: creditorAccount
          required: false
          schema:
            description: Filter by creditor account identifier.
            type: string
        - description: Exclude payments that have an existing non-rejected payment return.
          in: query
          name: excludePaymentReturns
          required: false
          schema:
            description: >-
              Exclude payments that have an existing non-rejected payment
              return.
            type: boolean
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentSearchResponseV3'
          description: Payments returned successfully
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Invalid filter or pagination parameter
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Tenant does not have access to the resource
components:
  schemas:
    PaymentSearchResponseV3:
      properties:
        data:
          description: >-
            Payment list items matching the supplied filters, ordered by payment
            identifier descending.
          items:
            $ref: '#/components/schemas/PaymentSearchItemV3'
          type: array
        meta:
          $ref: '#/components/schemas/PaymentSearchPageMetadataV3'
          description: Cursor pagination metadata for navigating the result set.
      required:
        - data
        - meta
      type: object
    ErrorResponse:
      description: Error response
      properties:
        code:
          description: Code of error
          type: string
        data:
          description: 'Error data '
          oneOf:
            - $ref: '#/components/schemas/ErrorResponseData'
            - type: 'null'
        message:
          description: Error message
          type:
            - string
            - 'null'
      required:
        - code
      type: object
    PaymentSearchItemV3:
      properties:
        amount:
          description: Payment amount in minor currency units
          example: 100
          type: integer
        createdAt:
          description: Time and date when the payment was created (UTC)
          format: date-time
          type: string
        creditor:
          $ref: '#/components/schemas/Party'
          description: Creditor fields displayed in the payment list
        currency:
          description: Payment currency ISO code
          example: EUR
          type: string
        debtor:
          $ref: '#/components/schemas/Party'
          description: Debtor fields displayed in the payment list
        direction:
          $ref: '#/components/schemas/TransactionDirection'
          description: >-
            Payment direction; used to display the amount as incoming or
            outgoing
        endToEndId:
          description: End-to-end identifier assigned by the originator
          type: string
        id:
          description: Unique payment identifier
          example: 10300007
          format: int64
          type: integer
        metadata:
          description: Client-defined metadata values assigned when the payment was created
          items:
            type: string
          type: array
        parentPaymentId:
          description: >-
            Parent payment identifier, present for returns, reversals, and
            cancellations
          format: int64
          type:
            - integer
            - 'null'
        scheme:
          description: Payment scheme
          enum:
            - SEPA_CT
            - SEPA_INST
            - SEPA_DD
            - SWIFT
            - T2
          example: SEPA_CT
          type: string
        settlementDate:
          description: Settlement date
          format: date
          type:
            - string
            - 'null'
        status:
          description: Current payment status
          enum:
            - CREATED
            - TO_SIGN
            - SIGNED
            - SENT_TO_CLEAR
            - COMPLETED
            - CANCELLED
            - REJECTED
            - ACCEPTED
            - SOME_PROBLEMS
            - PENDING_CONFIRMATION
          example: COMPLETED
          type: string
        type:
          description: Payment type
          enum:
            - PAYMENT
            - PAYMENT_CANCELLATION
            - PAYMENT_RETURN
            - REVERSE_PAYMENT
            - CSM_FEES
            - ADJUSTMENT
          example: PAYMENT
          type: string
      required:
        - amount
        - createdAt
        - creditor
        - currency
        - debtor
        - direction
        - endToEndId
        - id
        - metadata
        - scheme
        - status
        - type
      type: object
    PaymentSearchPageMetadataV3:
      properties:
        nextPageToken:
          description: Token for fetching the next page. Absent when there is no next page.
          type:
            - string
            - 'null'
        previousPageToken:
          description: >-
            Token for fetching the previous page. Absent when there is no
            previous page.
          type:
            - string
            - 'null'
      type: object
    ErrorResponseData:
      description: Error wrapper containing all occurred errors
      properties:
        errors:
          description: All occurred errors
          items:
            $ref: '#/components/schemas/ErrorResponseViolation'
          type: array
        message:
          description: Generic message for occurred errors
          type:
            - string
            - 'null'
      required:
        - errors
      type: object
    Party:
      properties:
        account:
          $ref: '#/components/schemas/Account'
          description: Party account — either iban or other (mutually exclusive)
        address:
          description: Party postal address
          oneOf:
            - $ref: '#/components/schemas/Address'
            - type: 'null'
        agent:
          $ref: '#/components/schemas/Agent'
          description: Party agent (bank / EMI / payment institution)
        name:
          description: Party name
          type:
            - string
            - 'null'
        organisationIdentification:
          description: >-
            Organisation identification (mutually exclusive with
            privateIdentification)
          oneOf:
            - $ref: '#/components/schemas/OrganisationIdentification'
            - type: 'null'
        privateIdentification:
          description: >-
            Private identification (mutually exclusive with
            organisationIdentification)
          oneOf:
            - $ref: '#/components/schemas/PrivateIdentification'
            - type: 'null'
      required:
        - account
        - agent
      type: object
    TransactionDirection:
      enum:
        - OUTBOUND
        - INBOUND
      type: string
    ErrorResponseViolation:
      description: Single error wrapper
      properties:
        code:
          description: Error code
          type:
            - string
            - 'null'
        field_name:
          description: Field name which failed
          type: string
        message:
          description: Error message
          type:
            - string
            - 'null'
        value:
          description: Value which was invalid
          type:
            - string
            - 'null'
      type: object
    Account:
      properties:
        iban:
          description: International Bank Account Number
          type:
            - string
            - 'null'
        other:
          description: Non-IBAN account identification
          oneOf:
            - $ref: '#/components/schemas/OtherAccount'
            - type: 'null'
      type: object
    Address:
      properties:
        country:
          description: Country ISO code
          example: LT
          type:
            - string
            - 'null'
        line:
          description: Unstructured address line — present when structured is absent
          type:
            - string
            - 'null'
        structured:
          description: Structured address — present when line is absent
          oneOf:
            - $ref: '#/components/schemas/StructuredAddress'
            - type: 'null'
        town:
          description: Town / city name
          example: Vilnius
          type:
            - string
            - 'null'
      type: object
    Agent:
      properties:
        bic:
          description: Bank Identifier Code (BIC)
          example: DEMOLT1XXXX
          type:
            - string
            - 'null'
        name:
          description: Agent name
          type:
            - string
            - 'null'
      type: object
    OrganisationIdentification:
      properties:
        bic:
          description: BIC code
          type:
            - string
            - 'null'
        lei:
          description: Legal Entity Identifier
          type:
            - string
            - 'null'
        otherIdentifications:
          description: Other identifications
          items:
            $ref: '#/components/schemas/OtherIdentification'
          type: array
      required:
        - otherIdentifications
      type: object
    PrivateIdentification:
      properties:
        birthInformation:
          description: Birth information
          oneOf:
            - $ref: '#/components/schemas/BirthInformation'
            - type: 'null'
        otherIdentifications:
          description: Other identifications (e.g. national ID)
          items:
            $ref: '#/components/schemas/OtherIdentification'
          type: array
      required:
        - otherIdentifications
      type: object
    OtherAccount:
      properties:
        id:
          description: Account identifier
          type:
            - string
            - 'null'
        issuer:
          description: Account issuer
          type:
            - string
            - 'null'
        scheme:
          description: Account scheme
          oneOf:
            - $ref: '#/components/schemas/Scheme'
            - type: 'null'
      type: object
    StructuredAddress:
      properties:
        buildingName:
          description: Building name
          type:
            - string
            - 'null'
        buildingNumber:
          description: Building number
          type:
            - string
            - 'null'
        countrySubDivision:
          description: Country sub-division
          type:
            - string
            - 'null'
        department:
          description: Department
          type:
            - string
            - 'null'
        districtName:
          description: District name
          type:
            - string
            - 'null'
        floor:
          description: Floor
          type:
            - string
            - 'null'
        postBox:
          description: Post box
          type:
            - string
            - 'null'
        postCode:
          description: Post code
          type:
            - string
            - 'null'
        room:
          description: Room
          type:
            - string
            - 'null'
        street:
          description: Street name
          type:
            - string
            - 'null'
        subDepartment:
          description: Sub-department
          type:
            - string
            - 'null'
        townLocationName:
          description: Town location name
          type:
            - string
            - 'null'
      type: object
    OtherIdentification:
      properties:
        id:
          description: Identifier value
          type:
            - string
            - 'null'
        issuer:
          description: Identifier issuer
          type:
            - string
            - 'null'
        scheme:
          description: Identification scheme
          oneOf:
            - $ref: '#/components/schemas/Scheme'
            - type: 'null'
      type: object
    BirthInformation:
      properties:
        city:
          description: City of birth
          type:
            - string
            - 'null'
        country:
          description: Country of birth
          type:
            - string
            - 'null'
        date:
          description: Date of birth
          type:
            - string
            - 'null'
        province:
          description: Province of birth
          type:
            - string
            - 'null'
      type: object
    Scheme:
      properties:
        code:
          description: Scheme code from external code sets
          type:
            - string
            - 'null'
        proprietary:
          description: Proprietary scheme
          type:
            - string
            - 'null'
      type: object

````